<div class="container">
    <div id="contenido" class="container text-center">
        <h3 class="my-3 text-center">Términos y condiciones</h3>
        <!--Calle numero colonia zip city edo. -->

        <div class="row">
            <div class="col-md-12" style="text-align: left;">
                <p class="mt-3">
                    <span style="cursor: pointer;">
                    <strong (click)="open()"><u>Términos
                        y condiciones</u></strong>
                  </span>
                </p>
            </div>
        </div>

        <div class="row">
            <div class="col-md-12" style="text-align: center;">
                <p class="my-3">
                    <span>
                    <strong>Cláusula para utilizar medios electrónicos de autenticación.</strong>
                  </span>
                </p>
            </div>
        </div>

        <div class="row">
            <div class="col-md-12" style="text-align: justify;">
                <p class="my-3">
                    Las partes acuerdan que el cliente podrá expresar su consentimiento respecto a la presente Cláusula,
                    así como tener acceso a los servicios ofrecidos por <strong>Mercadotecnia Ideas y Tecnología S.A. de C.V.</strong>
                    mediante medios electrónicos como su NIP.
                </p>
            </div>
        </div>

        <div class="row" style="text-align:left">
            <div class="col-md-9">
                <label class="text-input-acepto">Acepto términos y condiciones y cláusula de medios electrónicos tales como NIP. </label>
            </div>
            <div class="col-md-3">
                <label class="switch">
                    <input type="checkbox" id="changeStatus" (change)="ckeckChangeStatus()">
                    <span class="slider round"></span>
                </label>
            </div>
        </div>

        <div class="row" style="text-align:left">
            <div class="col-md-9">
                <label class="text-input-acepto">El NIP que debes de ingresar te llegó a tu correo electrónico. </label>
            </div>
        </div>
        

        <div class="row text-input">
            <div class="col-md-12 form-group">
                <label class="text-input-acepto">NIP </label>                
                <input autocomplete="off" value="{{nip}}" placeholder="Ingresar NIP enviado por correo" class="form-control" min="1" id="nipInput" 
                oninput="this.value = this.value.replace(/[^0-9.]/g, '').replace(/(\..*?)\..*/g, '$1').slice(0,4);">
            </div>
        </div>
        <div>
        
        <small class="form-text" id="errorGeneral" *ngIf="errorGeneral" style="color:red">El NIP ingresado es invalido</small> 

        <p class="my-3">
            <button type="button"  class="btn btn-lg btn-block btn-danger mr-3 btnUrl btnPrimary" (click)="aceptar()" id="validarBoton"
            [style.background-color]="getColorButton()"
            [style.border-color]="getColorButton()"
            [style.color]="getColorLabel()" [disabled]="btnContinuar">Continuar</button>
        </p>                       
    </div>

    <div id="modalTerminos" class="modal my-auto">
        <!-- Modal content -->
        <div class="modal-content">
          <button id="btnAceptarModal" style="font-size: 70px; margin-top: -12%;" type ="button" (click)="cerrarModal()"  class="btn btn-lg btn-block mr-3 btnUrl">&times;</button>
          <h5 class="d-flex justify-content-center"><strong>Terminos y Condiciones</strong></h5>
          <div class="modal-body" [innerHTML]="textoModal">
        </div>
        <button id="btnAceptarModal" style="font-size: 70px; margin-top: -12%;" type ="button" (click)="cerrarModal()"  class="btn btn-lg btn-block mr-3 btnUrl">&times;</button>
      </div>
      <div class="modal-footer">
        <button type ="button" (click)="cerrarModal()"  class="btn btn-lg btn-block mr-3 btnUrl btnAceptarModal">&times;</button>
    </div>
      
</div>

